
let sequelize = require('sequelize')

//require 以当前文件为基本路径
//let SequelizeInstance = require('../../../xz-lppx-common/config/db.conf')
let common = require('xz-lppx-common')
let SequelizeInstance  = common.config.SequelizeInstance


let userModel = require('../user/user')
let itemModel = require('../item/item')
const itemCommentModel = require('../comment/comment')



class commentReplyModel extends sequelize.Model{

}

commentReplyModel.init({
  //回复id
  reply_id:{
     type : sequelize.DataTypes.STRING,
     allowNull:false,
     primaryKey: true

  },

  //回复人id
  user_id:{
    type: sequelize.DataTypes.STRING,
    allowNull: false,
    references:{
      model: userModel,
      key : 'user_id'
    }
  },

  //回复状态,审核用
  reply_stat : {
    type : sequelize.DataTypes.STRING,
    

  },

  //外联commet_id
  comment_id:{
    type : sequelize.DataTypes.STRING,
    allowNull: false,
    // references:{
    //   model: itemCommentModel,
    //   key : 'comment_id'
    // },
    
  },

  //引用回复的id，此处不用外联，删除，引用的回复被删除后， 当前回复还应存在
  ref_reply_id:{
    allowNull : true,
    type : sequelize.DataTypes.STRING,
  },



  //content 回复内容
  content:{
    type: sequelize.DataTypes.STRING
  },

  //评论的图片
  pictures:{
    type:sequelize.DataTypes.STRING
  },


  //点赞数
  up_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '赞'

  },

  //点踩数
  down_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '踩'
  },

  createdAt:{
    type: sequelize.DATE,
    //allowNull: false,
    //defaultValue:sequelize.DataTypes.NOW
  },
  updatedAt:{
    type: sequelize.DataTypes.DATE
  },
  deletedAt:{
    type: sequelize.DataTypes.DATE
  },

  is_deleted: {
    type: sequelize.TINYINT,
    defaultValue: 0,
    comment: '是否已删除'
  },


},{
  tableName:'item-comment-reply',
  freezeTableName: true,
  sequelize:SequelizeInstance,
  modelName : 'item-comment-reply'
})


module.exports = commentReplyModel